.product-card {
    text-align: center;
    position: relative;
    background-color: #fff;

    .actions {
        width: 100%;
    }

    .render-on-hover {
        box-shadow: 0 0 20px rgba(0,0,0,0.2);
        border-color: transparent;
        position: absolute;
        display: none;
        top: -10px;
        left: 0;
        right: 0;
    }

    &:hover,
    &.touched {
        z-index: 4;

        .actions {
            display: flex;
            flex-direction: column;
            justify-content: center;
        }
    }

    .product-price-div {
        h2 {
            font-size: 1.4rem;
            margin-bottom: 0;
        }
    }

    .btn-view-details {
        display: none;
    }

    .detail-wrap {
        position: relative;

        .name {
            line-height: 1.45em;
            max-height: 1.45em * 3; // 3 lines of height
            line-clamp: 3;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    }

    .supplier-info-link {
        font-weight: bold;

        &:hover {
            text-decoration: underline !important;
            color: @brand-primary !important;
        }
    }

    &:hover, &:focus {
        .overlay {
            @media (min-width: @screen-sm-min) {
                display: block;
            }
        }

        .labels {
            transition: all .15s;
            left: 5px;
            top: 0px;

           .label-sale,
           .label-new {
                display: inline-block;
                width: 70px;
                height: 70px;
                line-height: 65px;
                transition: all .15s;
            }
        }

        .user-actions {
            visibility: visible;
            opacity: 1;
            transition: visibility 0s ease-in-out 0s, opacity 300ms ease-in-out 100ms;
        }
    }

    .product-card-comparison {
        float: left;
        position: relative;
    }

    .product-card-wishlist {
        float: left;
        position: relative;
    }

    &.category-view, &.search-view {
        margin-bottom: 40px;

        &.touched {
            @media (max-width: @screen-sm-min) {
                margin-bottom: 300px;
            }
        }
    }

    .actions {
        display: none;
        position: absolute;
        background-color: #fff;
        padding: 15px;

        .product-name {
            display: none;
        }

        .form-group {
            span {
                font-weight: bold;
                text-align: left;
            }

            &.amount {
                .sales-unit {
                    padding: 5px;
                }

                .form-control {
                    text-align: right;
                    padding: 0;

                    @media (max-width: @screen-sm-max) {
                        padding: 0 0.75em;
                    }
                }
            }
        }
    }

    .overlay {
        z-index: 2;
        display: none;
        position: absolute;
        top: 40px;
        left: 15px;
        right: 15px;
        text-align: center;

        .btn-preview, .btn-quick-add {
            width: 120px;
            background: fade(@brand-dark, 90%);
            color: #fff;
            text-transform: uppercase;
            font-size: 1.1rem;
            font-weight: bold;
            font-family: @font-primary;

            i {
                margin-right: 3px;
                font-size: 1.4rem;
                position: relative;
            }

            &:hover, &:focus {
                background: lighten(@brand-dark, 7%);
                color: #fff;
            }
        }

        .btn-quick-add {
            margin-top: 10px;
            background: @brand-primary;

            &:hover, &:focus {
                background: lighten(@brand-primary, 7%);
                color: #fff;
            }
        }
    }

    a:not(.btn) {
        display: block;
        color: @text-color;

        &:hover, &:focus {
            color: @text-color;
            text-decoration: none;

            .name {
                color: @link-hover-color;
            }

            .price-line {
                color: @product-card-price-hover-color;
            }
        }
    }

    .labels {
        position: absolute;
        z-index: 2;
        left: 10px;
        top: 5px;
        transition: all .15s;

        .label-sale,
        .label-new {
            display: inline-block;
            width: 60px;
            height: 60px;
            line-height: 55px;
            margin-right: 7px;
            background: @brand-primary;
            border-radius: 50%;
            color: #fff;
            text-align: center;
            font-size: 1.1rem;
            font-family: @font-headline;
            transition: all .15s;
        }

        .label-sale {
            background: @label-sale-background;
            color: @label-sale-color;
        }

        .label-new {
            background: @label-new-background;
            color: @label-new-color;
        }
    }

    .image-wrap {
        position: relative;
        padding: 15px 15px 0px 15px;

        .image {
            background-position: 50%;
            background-size: contain;
            background-repeat: no-repeat;
            display: block;

            &:before {
                content: "";
                display: block;
                position: relative;
                padding-top: 100%;
            }
        }
    }

    .user-actions {
        display: block;
        z-index: 100;
        position: absolute;
        right: 10px;
        bottom: 10px;
        opacity: 0;
        visibility: hidden;
        transition: visibility 0s ease-in-out 600ms, opacity 300ms ease-in-out 300ms;

        .action {
            float: left;

            .btn {
                margin-right: 2px;

                .text {
                    display: none;
                }
            }
        }
    }

    .user-list-actions {
        display: none;
    }

    .detail-wrap {
        min-height: 60px;
        padding: 15px 10px 0px 10px;
        font-size: @product-card-details-font-size;

        .name {
            margin-bottom: 5px;
        }

        p {
            margin: 0;
        }

        .price {
            margin: 5px 0;
        }

        .price-line {
            color: @product-card-price-color;

            .lead {
                font-size: @product-card-price-font-size;
            }

            strong {
                font-weight: @product-card-price-font-weight;
            }
        }

        .supplier-info {
            color: @text-muted;
            margin: 5px 0 !important;
        }

        .product-reviews-rating-star {
            margin: 5px 0;
            color: @text-color;
        }

        .description {
            margin: 5px 0;
            display: none;
        }
    }

    .btn {
        margin-top: 5px;
        font-size: 0.8rem;
        font-weight: bold;
    }
}

.owl-item {
    .product-card {
        position: relative;

        @media (max-width: @screen-md-max) {
            .quantity-box-container, .price-box-container {
                min-width: 100%;
            }
        }

        .actions {
            top:0;
            position: absolute;
            z-index: 100;
            background-color:rgba(255, 255, 255, 0.95);
            margin-top: 0;
            height: 100%;

            .product-name {
                font-size: 14px;
                font-weight:bold;
                margin-bottom: 5px;
                display: block;
            }
            .dropdown-toggle {
                font-size: 12px;
                padding: 3px 6px;
            }
            .form-group {
                margin:0;
            }
            .product-price-div {
                h2 {
                    font-size: 14px;
                    margin: 0;
                    padding: 0;

                    @media (max-width: @screen-md-max) {
                        font-size: 18px;
                        margin: 0.5em 0;
                    }
                }
            }
            form.add-to-basket {
                margin-bottom: 0px;
            }
            .add-to-cart-button, .btn-view-details {
                padding: 5px;
                font-size: 0.8rem;
            }
            .btn-view-details {
                display: block;
            }
            .btn-preview {
                padding: 5px;
                font-size: 9px;
                margin-top: 5px;
            }
            .form-group.amount {
                label {
                    display: none;
                }
                .input-group {
                    .sales-unit {
                        font-size: 12px;
                    }
                    input {
                        padding: 0 0 0 5px;
                        @media (max-width: @screen-sm-max) {
                            padding: 0 0.75em;
                        }
                    }
                }
            }
        }
    }
}
